"""
Интерфейс приложения
"""

import abc


class IApp(abc.ABC):
    """
    Интерфейс приложения
    """

    def __init__(self) -> None:
        print("IApp._init__()")

    @abc.abstractmethod
    def run(self) -> None:
        """
        Запускает приложение в работу
        """
        raise NotImplementedError("Not implemented")
